Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.index.query
Class AbstractBinaryQuery

    java.lang.Object
      org.crosswire.jsword.index.query.AbstractBinaryQuery

All Implemented Interfaces:
  BinaryQuery, Query

Direct Known Subclasses:
  AndNotQuery, AndQuery, BlurQuery, OrQuery

    public abstract class AbstractBinaryQuery

extends Object
implements BinaryQuery

A binary query has a left query and right query.

Author:
  DM Smith
See Also:
  `The GNU Lesser General Public License for details.`

Field Summary
`private Query` | `leftQuery`
`private Query` | `rightQuery`

Constructor Summary
`AbstractBinaryQuery(Query theLeftQuery, Query theRightQuery)` Create a query consisting of two queries.

Method Summary
`Query` | `getLeftQuery()`
`Query` | `getRightQuery()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.crosswire.jsword.index.query.Query
`find`

Field Detail

### leftQuery

    private Query leftQuery

### rightQuery

    private Query rightQuery

Constructor Detail

### AbstractBinaryQuery

    public AbstractBinaryQuery(Query theLeftQuery,
                               Query theRightQuery)

  Create a query consisting of two queries.

  Parameters:
    `theLeftQuery` -
    `theRightQuery` -

Method Detail

### getLeftQuery

    public Query getLeftQuery()

  Specified by:
    `getLeftQuery` in interface `BinaryQuery`
  Returns:
    Returns the leftQuery.

### getRightQuery

    public Query getRightQuery()

  Specified by:
    `getRightQuery` in interface `BinaryQuery`
  Returns:
    Returns the rightQuery.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2015
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD